提交 e8344e86 编写于 作者: Æ Ævar Arnfjörð Bjarmason 提交者: Junio C Hamano

tests: Use skip_all=* to skip tests

Change tests to skip with skip_all=* + test_done instead of using say
+ test_done.

This is a follow-up to "tests: Skip tests in a way that makes sense
under TAP" (fadb5156). I missed these cases when prepearing that
patch, hopefully this is all of them.
Signed-off-by: NÆvar Arnfjörð Bjarmason <avarab@gmail.com>
Signed-off-by: NJunio C Hamano <gitster@pobox.com>
上级 4ecb7938
......@@ -76,12 +76,12 @@ gitweb_run () {
. ./test-lib.sh
if ! test_have_prereq PERL; then
say 'skipping gitweb tests, perl not available'
skip_all='skipping gitweb tests, perl not available'
test_done
fi
perl -MEncode -e 'decode_utf8("", Encode::FB_CROAK)' >/dev/null 2>&1 || {
say 'skipping gitweb tests, perl version is too old'
skip_all='skipping gitweb tests, perl version is too old'
test_done
}
......
......@@ -9,7 +9,7 @@ export HOME
if ! type cvs >/dev/null 2>&1
then
say 'skipping cvsimport tests, cvs not found'
skip_all='skipping cvsimport tests, cvs not found'
test_done
fi
......@@ -21,11 +21,11 @@ case "$cvsps_version" in
2.1 | 2.2*)
;;
'')
say 'skipping cvsimport tests, cvsps not found'
skip_all='skipping cvsimport tests, cvsps not found'
test_done
;;
*)
say 'skipping cvsimport tests, unsupported cvsps version'
skip_all='skipping cvsimport tests, unsupported cvsps version'
test_done
;;
esac
......
......@@ -21,7 +21,7 @@ PERL=${PERL:-perl}
svn >/dev/null 2>&1
if test $? -ne 1
then
say 'skipping git svn tests, svn not found'
skip_all='skipping git svn tests, svn not found'
test_done
fi
......@@ -40,13 +40,12 @@ x=$?
if test $x -ne 0
then
if test $x -eq 42; then
err='Perl SVN libraries must be >= 1.1.0'
skip_all='Perl SVN libraries must be >= 1.1.0'
elif test $x -eq 41; then
err='svnadmin failed to create fsfs repository'
skip_all='svnadmin failed to create fsfs repository'
else
err='Perl SVN libraries not found or unusable, skipping test'
skip_all='Perl SVN libraries not found or unusable'
fi
say "$err"
test_done
fi
......@@ -159,7 +158,7 @@ EOF
require_svnserve () {
if test -z "$SVNSERVE_PORT"
then
say 'skipping svnserve test. (set $SVNSERVE_PORT to enable)'
skip_all='skipping svnserve test. (set $SVNSERVE_PORT to enable)'
test_done
fi
}
......
......@@ -45,7 +45,7 @@ HTTPD_DOCUMENT_ROOT_PATH=$HTTPD_ROOT_PATH/www
if ! test -x "$LIB_HTTPD_PATH"
then
say "skipping test, no web server found at '$LIB_HTTPD_PATH'"
skip_all="skipping test, no web server found at '$LIB_HTTPD_PATH'"
test_done
fi
......@@ -58,12 +58,12 @@ then
then
if ! test $HTTPD_VERSION -ge 2
then
say "skipping test, at least Apache version 2 is required"
skip_all="skipping test, at least Apache version 2 is required"
test_done
fi
if ! test -d "$DEFAULT_HTTPD_MODULE_PATH"
then
say "Apache module directory not found. Skipping tests."
skip_all="Apache module directory not found. Skipping tests."
test_done
fi
......@@ -118,7 +118,7 @@ start_httpd() {
>&3 2>&4
if test $? -ne 0
then
say "skipping test, web server setup failed"
skip_all="skipping test, web server setup failed"
trap 'die' EXIT
test_done
fi
......
......@@ -3,7 +3,7 @@
. ./test-lib.sh
if ! test_have_prereq PERL; then
say 'skipping --patch tests, perl not available'
skip_all='skipping --patch tests, perl not available'
test_done
fi
......
......@@ -15,7 +15,7 @@ if sys.hexversion < 0x02040000:
then
:
else
say 'skipping git remote-testgit tests: requires Python 2.4 or newer'
skip_all='skipping git remote-testgit tests: requires Python 2.4 or newer'
test_done
fi
......
......@@ -113,7 +113,7 @@ done
if ! echo 'echo space > "$1"' > "e space.sh"
then
say "Skipping; FS does not support spaces in filenames"
skip_all="Skipping; FS does not support spaces in filenames"
test_done
fi
......
Markdown is supported
0% .
You are about to add 0 people to the discussion. Proceed with caution.
先完成此消息的编辑!
想要评论请 注册